/*
    Copyright (C) 2012, Aaron Lindsay <aaron@aclindsay.com>

    This file is part of Aedrix.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#include <init.h>
#include <drivers/serial.h>

struct serial_dev *first_serial_dev;

int serial_register_device(struct serial_dev *sdev) {
	if (!first_serial_dev)
		first_serial_dev = sdev;
	return 0;
}

struct serial_dev *serial_first_device() {
	return first_serial_dev;
}

/*
 * Initialize the serial sybsystem.
 * Note: this is called directly from the kernel initialization as opposed to
 * being an initcall because it has to be called before the serial drivers get
 * initialized in earlyinitcalls.
 */
void serial_init() {
	first_serial_dev = 0;
}
